%define upstream_name	 Snowball-Swedish
%define upstream_version 1.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	Porters stemming algorithm for Swedish
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AS/ASKSH/%{upstream_name}-%{upstream_version}.tar.bz2



BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

Requires:	locales-sv
Obsoletes:	perl-Lingua-Stem-Snowball-Se
Provides:	perl-Lingua-Stem-Snowball-Se

%description
The stem function takes a scalar as a parameter and stems the word according to
Martin Porters Swedish stemming algorithm, which can be found at the Snowball
website: http://snowball.tartarus.org/.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Lingua
%{_bindir}/stemmer-se.pl
%{_mandir}/man3*/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-2.mga3
+ Revision: 372655
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 22825
- cleaning spec file
- imported package perl-Snowball-Swedish

